## GulkanSwapchainRenderer

GulkanSwapchainRenderer

## Functions

GulkanRenderPass * | gulkan_swapchain_renderer_get_render_pass ()
VkRenderPass | gulkan_swapchain_renderer_get_render_pass_handle ()
uint32_t | gulkan_swapchain_renderer_get_swapchain_size ()
VkCommandBuffer | gulkan_swapchain_renderer_get_cmd_buffer ()
GulkanFrameBuffer * | gulkan_swapchain_renderer_get_frame_buffer ()
gboolean | gulkan_swapchain_renderer_initialize ()
void | gulkan_swapchain_renderer_begin_render_pass ()
gboolean | gulkan_swapchain_renderer_resize ()
gboolean | gulkan_swapchain_renderer_init_draw_cmd_buffers ()

## Types and Values

#define | GULKAN_TYPE_SWAPCHAIN_RENDERER
struct | GulkanSwapchainRendererClass
| GulkanSwapchainRenderer

## Object Hierarchy

        GObject
        ╰── GulkanRenderer
            ╰── GulkanSwapchainRenderer

## Includes

    #include <gulkan.h>

## Description

## Functions

### gulkan_swapchain_renderer_get_render_pass ()

    GulkanRenderPass *
    gulkan_swapchain_renderer_get_render_pass
                                   (GulkanSwapchainRenderer *self);

### gulkan_swapchain_renderer_get_render_pass_handle ()

    VkRenderPass
    gulkan_swapchain_renderer_get_render_pass_handle
                                   (GulkanSwapchainRenderer *self);

### gulkan_swapchain_renderer_get_swapchain_size ()

    uint32_t
    gulkan_swapchain_renderer_get_swapchain_size
                                   (GulkanSwapchainRenderer *self);

### gulkan_swapchain_renderer_get_cmd_buffer ()

    VkCommandBuffer
    gulkan_swapchain_renderer_get_cmd_buffer
                                   (GulkanSwapchainRenderer *self,
                                    uint32_t index);

### gulkan_swapchain_renderer_get_frame_buffer ()

    GulkanFrameBuffer *
    gulkan_swapchain_renderer_get_frame_buffer
                                   (GulkanSwapchainRenderer *self,
                                    uint32_t index);

### gulkan_swapchain_renderer_initialize ()

    gboolean
    gulkan_swapchain_renderer_initialize (GulkanSwapchainRenderer *self,
                                          VkSurfaceKHR surface,
                                          VkClearColorValue clear_color,
                                          gconstpointer pipeline_data);

### gulkan_swapchain_renderer_begin_render_pass ()

    void
    gulkan_swapchain_renderer_begin_render_pass
                                   (GulkanSwapchainRenderer *self,
                                    VkClearColorValue clear_color,
                                    uint32_t index);

### gulkan_swapchain_renderer_resize ()

    gboolean
    gulkan_swapchain_renderer_resize (GulkanSwapchainRenderer *self,
                                      VkSurfaceKHR surface);

### gulkan_swapchain_renderer_init_draw_cmd_buffers ()

    gboolean
    gulkan_swapchain_renderer_init_draw_cmd_buffers
                                   (GulkanSwapchainRenderer *self);

## Types and Values

### GULKAN_TYPE_SWAPCHAIN_RENDERER

    #define GULKAN_TYPE_SWAPCHAIN_RENDERER gulkan_swapchain_renderer_get_type()

### struct GulkanSwapchainRendererClass

    struct GulkanSwapchainRendererClass {
      GulkanRendererClass parent;

      void
      (*init_draw_cmd) (GulkanSwapchainRenderer *self,
                        VkCommandBuffer          cmd_buffer);

      gboolean
      (*init_pipeline) (GulkanSwapchainRenderer *self,
                        gconstpointer            data);
    };

### GulkanSwapchainRenderer

    typedef struct _GulkanSwapchainRenderer GulkanSwapchainRenderer;